Controller

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media
Interface Controller

All Superinterfaces:
  Clock, Duration

All Known Subinterfaces:
  Player, ServiceMediaHandler

    public interface Controller

extends Clock, Duration

Field Summary
`static Time` | `LATENCY_UNKNOWN`
`static int` | `Prefetched`
`static int` | `Prefetching`
`static int` | `Realized`
`static int` | `Realizing`
`static int` | `Started`
`static int` | `Unrealized`

Fields inherited from interface javax.media.Clock
`RESET`

Fields inherited from interface javax.media.Duration
`DURATION_UNBOUNDED, DURATION_UNKNOWN`

Method Summary
`void` | `addControllerListener(ControllerListener listener)`
`void` | `close()`
`void` | `deallocate()`
`Control` | `getControl(String forName)`
`Control[]` | `getControls()`
`Time` | `getStartLatency()`
`int` | `getState()`
`int` | `getTargetState()`
`void` | `prefetch()`
`void` | `realize()`
`void` | `removeControllerListener(ControllerListener listener)`

Methods inherited from interface javax.media.Clock
`getMediaNanoseconds, getMediaTime, getRate, getStopTime, getSyncTime, getTimeBase, mapToTimeBase, setMediaTime, setRate, setStopTime, setTimeBase, stop, syncStart`

Methods inherited from interface javax.media.Duration
`getDuration`

Field Detail

### LATENCY_UNKNOWN

    static final Time LATENCY_UNKNOWN

### Unrealized

    static final int Unrealized

See Also:
  Constant Field Values

### Realizing

    static final int Realizing

See Also:
  Constant Field Values

### Realized

    static final int Realized

See Also:
  Constant Field Values

### Prefetching

    static final int Prefetching

See Also:
  Constant Field Values

### Prefetched

    static final int Prefetched

See Also:
  Constant Field Values

### Started

    static final int Started

See Also:
  Constant Field Values

Method Detail

### getState

    int getState()

### getTargetState

    int getTargetState()

### realize

    void realize()

### prefetch

    void prefetch()

### deallocate

    void deallocate()

### close

    void close()

### getStartLatency

    Time getStartLatency()

### getControls

    Control[] getControls()

### getControl

    Control getControl(String forName)

### addControllerListener

    void addControllerListener(ControllerListener listener)

### removeControllerListener

    void removeControllerListener(ControllerListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD